Subject: [PATCH V2] [ARM] Add ARCH_PROVIDES_UDELAY config option

From: [email-masked] (Saravana Kannan)
Date: Thu, 27 May 2010 17:41:14 -0700

Russell King - ARM Linux wrote:
> My point is not specific to sched_clock, but to counters which on ARM
> are 99.9% always memory mapped, and therefore inaccessible during the
> very early kernel boot.  sched_clock was merely an illustration of the
> problem.

Do you know any code which uses udelay that early? I can't imagine any 
non-driver code using udelay. If it's just drivers using udelay, then 
they need IO mapping to have been completed for the device register 
access to work and hence udelay won't have any problems.

-Saravana